import { AppManifest } from '@equinor/fusion-framework-module-app';
type UseAppsArgs = {
    /** @deprecated - no longer available */
    includeHidden?: boolean;
    filterByCurrentUser?: boolean;
};
/**
 * React Hook - Get apps from framework
 * @param args Object with filterByCurrentUser: boolean
 * @returns Object {apps, isLoading, error} where apps is Array of ApplicationManifest, isLoading is a boolean on observable complete
 * @since 7.1.1
 */
export declare const useApps: (args?: UseAppsArgs) => {
    apps: AppManifest[] | undefined;
    isLoading: boolean;
    error: unknown;
};
export default useApps;
